using UnityEngine;

namespace Cryville.Crtr.Browsing {
	public abstract class ResourceBrowserUnit : MonoBehaviour {
		protected ResourceBrowserMaster Master { get; private set; }
		protected virtual void Awake() {
			Master = GetComponentInParent<ResourceBrowserMaster>();
		}
		public virtual void SlideToLeft() { }
		public virtual void SlideToRight() { }
	}
}